org.apache.myfaces.trinidad.event

## Enum WindowLifecycleEvent.Cause

- java.lang.Object
- - java.lang.Enum<WindowLifecycleEvent.Cause>
  - - org.apache.myfaces.trinidad.event.WindowLifecycleEvent.Cause

- All Implemented Interfaces:
    Serializable, Comparable<WindowLifecycleEvent.Cause>
  Enclosing class:
    WindowLifecycleEvent

      public static enum WindowLifecycleEvent.Cause
      extends Enum<WindowLifecycleEvent.Cause>

  What caused the delivery of the WindowLifecycleEvent.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSE` The Window is believed to have been closed by the user
    `CLOSING` Delivered when the content of a Window have been unloaded in order to close the window
    `EXPIRE` The Window is believed to have been closed by the user
    `NAVIGATE` Delivered when the content of a Window have been unloaded as a result of navigating within the application
    `OPEN` Delivered when a new Window is open
    `RELOAD` The contents of an existing Window are being reloaded
    `UNLOAD` Delivered when the content of a Window have been unloaded but cause of the unloading isn't known.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static WindowLifecycleEvent.Cause` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static WindowLifecycleEvent.Cause[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPEN

          public static final WindowLifecycleEvent.Cause OPEN

      Delivered when a new Window is open

    - #### UNLOAD

          public static final WindowLifecycleEvent.Cause UNLOAD

      Delivered when the content of a Window have been unloaded but cause of the unloading isn't known.

    - #### NAVIGATE

          public static final WindowLifecycleEvent.Cause NAVIGATE

      Delivered when the content of a Window have been unloaded as a result of navigating within the application

    - #### CLOSING

          public static final WindowLifecycleEvent.Cause CLOSING

      Delivered when the content of a Window have been unloaded in order to close the window

    - #### RELOAD

          public static final WindowLifecycleEvent.Cause RELOAD

      The contents of an existing Window are being reloaded

    - #### EXPIRE

          public static final WindowLifecycleEvent.Cause EXPIRE

      The Window is believed to have been closed by the user

    - #### CLOSE

          public static final WindowLifecycleEvent.Cause CLOSE

      The Window is believed to have been closed by the user

  - ### Method Detail

    - #### values

          public static WindowLifecycleEvent.Cause[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (WindowLifecycleEvent.Cause c : WindowLifecycleEvent.Cause.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static WindowLifecycleEvent.Cause valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.